package com.xebia.search;

import java.util.List;

import org.apache.lucene.search.Searcher;

public interface LuceneSearcher {

    /**
     * 
     * @param fieldName
     * @return List of all values for the field
     */
    public List<String> getAll(String fieldName);

    /**
     * 
     * @param fieldName
     * @param termToSearch
     * @return List of all values with matching exact terms in order of priority
     */
    public List<String> search(String fieldName, String termToSearch);

    /**
     * 
     * @param fieldName
     * @param termToSearch
     * @return The most exact match found for the term
     */
    public String getBestmatch(String fieldName, String termToSearch);

    /**
     * Deletes the field and all the terms in it from the index.
     * 
     * @param fieldName
     */
    public void deleteFields(String... fieldName);

    /**
     * Deletes all matching documents found from the term in the field.
     * 
     * @param fieldName
     * @param termValue
     */
    public void deleteMatchingDocuments(String termValue, String... fieldName);

    /**
     * 
     * @return initialized version of org.apache.lucene.search.Searcher which
     *         points to the indexLocation specified in lucene.xml
     */
    public Searcher getSearcher();
}
