package com.xebia.search;

import java.io.File;
import java.io.IOException;

import org.apache.lucene.index.CorruptIndexException;
import org.apache.lucene.search.IndexSearcher;
import org.apache.lucene.search.Searcher;
import org.apache.lucene.store.FSDirectory;

public class SearcherProviderImpl implements SearcherProvider {

    private FSDirectory directory;
    private Searcher searcher;
    private File indexLocation;

    public SearcherProviderImpl(File indexLocation) {
        this.indexLocation = indexLocation;
    }

    public Searcher getSearcher() {
        try {
            this.directory = FSDirectory.open(indexLocation);
        } catch (IOException e) {
            System.out.println("**********Error opening FS Directory**********");
        }
        try {
            searcher = new IndexSearcher(directory, true);
        } catch (CorruptIndexException e) {
            System.out.println("*********Corrupted Index************");
        } catch (IOException e) {
            System.out.println("*********IO Exception***************");
        }
        return searcher;
    }

}
