package parse;

import java.io.File;
import java.util.HashMap;
import java.util.Map;

public class LuceneConfiguration {

    private File indexLocation;

    private File sourceFileLocation;

    private Map<String, FieldInfo> perFieldInfo = new HashMap<String, FieldInfo>();

    private boolean overWrite;

    private String separator = ",";

    public Boolean isOverWrite() {
        return overWrite;
    }

    public File getIndexLocation() {
        return indexLocation;
    }

    public void setIndexLocation(File indexLocation) {
        this.indexLocation = indexLocation;
    }

    public void addFieldInfo(String fieldName, FieldInfo fieldInfo) {
        perFieldInfo.put(fieldName, fieldInfo);
    }

    public Map<String, FieldInfo> getPerFieldInfo() {
        return perFieldInfo;
    }

    public File getSourceFileLocation() {
        return sourceFileLocation;
    }

    public void setSourceFileLocation(File sourceLocation) {
        this.sourceFileLocation = sourceLocation;
    }

    public void setOverWrite(String overWrite) {
        this.overWrite = Boolean.valueOf(overWrite);
    }

    public void setSeparator(String separator) {
        this.separator = separator;
    }

    public String getSeparator() {
        return separator;
    }

}
